﻿@using System.Web.UI.WebControls
@using System.Web.Mvc;
@using System.Data;

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:55px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Planning";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APAHPlanningTypeOption";;
                    comboBox.Properties.Items.Add("Unit", "U");
                    comboBox.Properties.Items.Add("Vehicle", "R");
                    comboBox.Properties.Items.Add("CKD Lot", "L");
                    comboBox.Properties.Items.Add("CKD Part", "P"); 
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td><div style="height: 5px;"></div> </td>
    </tr> 
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "AP Year";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APAHProductionYearOption";
                    for (int i = DateTime.Now.Year - 3; i <= (DateTime.Now.Year - 3) + 10; i++)
                    {
                        comboBox.Properties.Items.Add(Convert.ToString(i));
                    }
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                    comboBox.Properties.ItemStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td><div style="height: 5px;"></div> </td>
    </tr> 
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Version"; 
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
             @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "APAHVersionOption";
                    comboBox.Properties.Items.Add("OAP");
                    comboBox.Properties.Items.Add("RAP");
                    comboBox.Properties.Items.Add("PRJ");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
    </tr>
</table>
<div style="height: 15px;"></div>
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">            
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAHImportButton";
                    button.Text = "Import From APPS";
                    button.Width = Unit.Pixel(150);
                    button.UseSubmitBehavior = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnAPAHImportButtonClick";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAHApprovePCDButton";
                    button.Text = "Confirm";
                    button.Width = Unit.Pixel(150);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnAPAHApprovePCDButtonClick";
                }
            ).GetHtml()
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "APAHDeleteButton";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    
                    button.UseSubmitBehavior = true;
                    button.ClientSideEvents.Click = "OnAPAHDeleteButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>